package com.op.mes.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 配料计划明细对象 pro_wet_material_plan_detail
 *
 * @author Open Platform
 * @date 2023-07-27
 */
public class ProWetMaterialPlanDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 计划工厂编码 */
    @Excel(name = "计划工厂编码")
    private String factoryCode;

    /** 配料计划id */
    @Excel(name = "配料计划id")
    private String wetMaterialPlanId;

    /** 工单id */
    @Excel(name = "工单id")
    private String workorderId;

    /**  */
    @Excel(name = "")
    private String atrr1;

    /**  */
    @Excel(name = "")
    private String atrr2;

    /**  */
    @Excel(name = "")
    private String atrr3;

    /** 1接料完成0未接料 */
    @Excel(name = "1接料完成0未接料")
    private String status;

    /** 料罐id */
    @Excel(name = "料罐id")
    private String bucketId;

    /** 料罐编码 */
    @Excel(name = "料罐编码")
    private String bucketCode;

    /** 物料编码 */
    @Excel(name = "物料编码")
    private String materialCode;

    /** 物料id */
    @Excel(name = "物料id")
    private String materialId;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String materialName;

    /** 产品名称 */
    @Excel(name = "产品名称")
    private String productName;

    /** 班次id */
    @Excel(name = "班次id")
    private Long shiftId;

    /** 班次编码 */
    @Excel(name = "班次编码")
    private String shiftCode;

    /** 班次简称 */
    @Excel(name = "班次简称")
    private String shiftDesc;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }
    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    public String getFactoryCode() {
        return factoryCode;
    }
    public void setWetMaterialPlanId(String wetMaterialPlanId) {
        this.wetMaterialPlanId = wetMaterialPlanId;
    }

    public String getWetMaterialPlanId() {
        return wetMaterialPlanId;
    }
    public void setWorkorderId(String workorderId) {
        this.workorderId = workorderId;
    }

    public String getWorkorderId() {
        return workorderId;
    }
    public void setAtrr1(String atrr1) {
        this.atrr1 = atrr1;
    }

    public String getAtrr1() {
        return atrr1;
    }
    public void setAtrr2(String atrr2) {
        this.atrr2 = atrr2;
    }

    public String getAtrr2() {
        return atrr2;
    }
    public void setAtrr3(String atrr3) {
        this.atrr3 = atrr3;
    }

    public String getAtrr3() {
        return atrr3;
    }
    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }
    public void setBucketId(String bucketId) {
        this.bucketId = bucketId;
    }

    public String getBucketId() {
        return bucketId;
    }
    public void setBucketCode(String bucketCode) {
        this.bucketCode = bucketCode;
    }

    public String getBucketCode() {
        return bucketCode;
    }
    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialCode() {
        return materialCode;
    }
    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getMaterialId() {
        return materialId;
    }
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialName() {
        return materialName;
    }
    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductName() {
        return productName;
    }
    public void setShiftId(Long shiftId) {
        this.shiftId = shiftId;
    }

    public Long getShiftId() {
        return shiftId;
    }
    public void setShiftCode(String shiftCode) {
        this.shiftCode = shiftCode;
    }

    public String getShiftCode() {
        return shiftCode;
    }
    public void setShiftDesc(String shiftDesc) {
        this.shiftDesc = shiftDesc;
    }

    public String getShiftDesc() {
        return shiftDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("factoryCode", getFactoryCode())
                .append("wetMaterialPlanId", getWetMaterialPlanId())
                .append("workorderId", getWorkorderId())
                .append("atrr1", getAtrr1())
                .append("atrr2", getAtrr2())
                .append("atrr3", getAtrr3())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("bucketId", getBucketId())
                .append("bucketCode", getBucketCode())
                .append("materialCode", getMaterialCode())
                .append("materialId", getMaterialId())
                .append("materialName", getMaterialName())
                .append("productName", getProductName())
                .append("shiftId", getShiftId())
                .append("shiftCode", getShiftCode())
                .append("shiftDesc", getShiftDesc())
                .toString();
    }
}